.project-list {
	list-style-type: none;
	padding: 0 0;
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(min(250px, 100%), 1fr));
	gap: 2em 1em;
}
.project-list li {
	padding: inherit;
}
.project-list .label {
	padding: 0em 1em 1em 1em;
}
.project-list img {
	width: 100%;
}

.cover {
	box-sizing: border-box;
	float: inline-end;
	margin-left: 1em;
	width: 40%;
	overflow: hidden;
	color: white;
	text-decoration: none;
	transition: background-color 0.2s;
	background-color: #8d2ff3;
	box-shadow: inset 0 0 5px #ffffff44;
	border-radius: 0.5em;
	padding: 0;
	text-align: center;
}
.cover:hover {
	color: white;
	transition: background-color 0.1s;
	background-color: #ff4ea4;
}
.cover img {
	width: 100%;
	height: auto;
}

html {
	font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
	color: white;
	margin: 0;
	background-color: #4a0e8e;
	background-attachment: fixed;
	min-height: 100vh;
}

body {
	display: flex;
	flex-direction: column;
	min-height: 100vh;
	padding: 0;
	margin: 0;
	background: url(/images/background/star-background-left.svg) left center/10% repeat-y, url(/images/background/star-background-right.svg) right center/10% repeat-y, #4a0e8e;
}

.content {
	padding: 0px min(5%, 4em);
	margin: 2em 10%;
	min-height: 100%;
}
@media (orientation: portrait) {
	body {
		background: #4a0e8e;
	}
	.content {
		margin: 0px 0%;
	}
}

ul {
	list-style-type: "✦";
	padding-left: 1.5em;
}

li {
	padding: 0.5em;
}
/* li:nth-of-type(1) {
	padding-top: inherit;
} */

img {
	border-radius: 0.5em;
	max-width: 100%;
}

a {
	color: #e098ff;
	/* color: #00e0be; */
}
a:hover {
	color: #ff74b7;
	text-shadow: 0 0 0.25rem #00000088;
}
/* a[target="_blank"]::after {
	content: url("https://img.icons8.com/material-sharp/24/external-link.png");
} */

hr {
	border: 1px solid white;
	color: white;
	margin: 2em 0px;
}

kbd {
	outline: 1.5px solid #ffffff66;
	font-size: large;
	border-radius: 0.25em;
	padding: 0.00em 0.3em;
	margin: 0 0.2em;
}

article {
	border-radius: 0.5em;
	background-color: #4a0e8e;
	box-shadow: inset 0 0 5px #8d2ff3;
	padding: 1.5em 1em;
	height: 100%;
	box-sizing: border-box;
}
article a {
	color: white;
	text-decoration: none;
	border-radius: 0.5em;
	background-color: #8d2ff3;
	box-shadow: inset 0 0 5px #ffffff44;
	padding: 0.5em;
	display: inline-block;
	box-sizing: border-box;
	width: 100%;
	text-align: center;
}
article a:hover {
	color: white;
	transition: background-color 0.05s;
	background-color: #ff4ea4;
}
article h2 {
	margin-top: 0;
}
article p {
	margin-bottom: 0;
}

nav {
	display: flex;
	flex-direction: row;
	justify-content: center;
	flex-wrap: wrap;
	gap: 0.5em;
	width: 100%;
	justify-self: center;
	
	margin: 0;
	padding: 1em;
	background-color: #4a0e8e;
	box-shadow: inset 0 0 5px #ffffff22;
	box-sizing: border-box;
}
nav a {
	display: block;
	color: white;
	text-decoration: none;
	transition: background-color 0.1s;
	background-color: #8d2ff3;
	box-shadow: inset 0 0 5px #ffffff22;
	padding: 1em;
	text-align: center;
	border-radius: 0.5em;
}
nav a:hover {
	color: white;
	transition: background-color 0.05s;
	background-color: #ff4ea4;
}

footer {
	box-sizing: border-box;
	
	width: 100%;
	/* width: calc(100vw + 2em); */
	
	background-color: #4a0e8e;
	box-shadow: inset 0 0 5px #ffffff22;
	/* box-sizing: border-box; */
	
	padding: 1em min(5%, 4em);
	margin-top: auto;
}
footer ul {
	/* all: inherit; */
	list-style-type: none;
	display: flex;
	justify-content: center;
	flex-wrap: wrap;
	gap: 0.5em;
	padding: 0;
}
footer ul ul::before {
	content: "✦";
}
footer li {
	padding: 0em;
}

/*
Source - https://stackoverflow.com/questions/2258647/changing-the-highlight-color-when-selecting-text-in-an-html-text-input
Posted by user3553619, modified by community. See post 'Timeline' for change history
Retrieved 2025-11-25, License - CC BY-SA 3.0
*/
/*** Works on common browsers ***/
::selection {
	background-color: #dc37ad;
}
/*** Mozilla based browsers ***/
::-moz-selection {
	background-color: #dc37ad;
}
/***For Other Browsers ***/
::-o-selection {
	background-color: #dc37ad;
}
::-ms-selection {
	background-color: #dc37ad;
}
/*** For Webkit ***/
::-webkit-selection {
	background-color: #dc37ad;
}